---
- entityDefinitions:
  - IDR_Class__has_implementation__Method: '{b453349c-e977-445d-967c-aed566d92eb3}'
  - IDR_Method__implements_for__Class: '{155e95b8-9c34-451c-9b93-31aaf3d3da1d}'
  - IDR_Method__implements__Method: '{83c992d7-03ec-483f-b6f1-225083f201e3}'
  - IDR_Method__implemented_by__Method: '{f19e7779-a6b6-4914-a5cc-3c48fa1c9491}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - class:     '&IDC_Method;'
    name:      Method
    index:     10
    abstract:  yes
    instancesLabeledByRAMB: '&IDMB_Method__get__Fully_Qualified_Name;'
    translations:
    - relationship: '&IDR_Class__has_title__Translation;'
      values:
      - languageInstanceId: '&IDI_Language_English;'
        value: 'Method'
    relationships:
    - instance: '&IDR_Method__for__Class;'
      customTagName: 'forClassId'
    - instance: '&IDR_Metadata_With_Access_Modifier__has__Access_Modifier;'
      customTagName: 'accessModifierId'
    - instance: '&IDR_Instance__for__Module;'
      customTagName: 'moduleId'
    - instance: '&IDR_Method__implements__Method;'
      customTagName: 'implementsMethodId'

  - relationship: '&IDR_Class__has__Method;'
    index: 15
    sourceClassId: '&IDC_Class;'
    type: 'has'
    destinationClassId: '&IDC_Method;'
    siblingRelationshipId: '&IDR_Method__for__Class;'
    singular: no

  - relationship: '&IDR_Method__for__Class;'
    index: 16
    sourceClassId: '&IDC_Method;'
    type: 'for'
    destinationClassId: '&IDC_Class;'
    siblingRelationshipId: '&IDR_Class__has__Method;'
    singular: no

  - relationship: '&IDR_Class__has_implementation__Method;'
    index: 17
    sourceClassId: '&IDC_Class;'
    type: 'has implementation'
    destinationClassId: '&IDC_Method;'
    siblingRelationshipId: '&IDR_Method__implements_for__Class;'
    singular: no

  - relationship: '&IDR_Method__implements_for__Class;'
    index: 18
    sourceClassId: '&IDC_Method;'
    type: 'implements for'
    destinationClassId: '&IDC_Class;'
    siblingRelationshipId: '&IDR_Class__has_implementation__Method;'
    singular: yes

  - relationship: '&IDR_Method__implements__Method;'
    index: 19
    sourceClassId: '&IDC_Method;'
    type: 'implements'
    destinationClassId: '&IDC_Method;'
    siblingRelationshipId: '&IDR_Method__implemented_by__Method;'
    singular: no

  - relationship: '&IDR_Method__implemented_by__Method;'
    index: 20
    sourceClassId: '&IDC_Method;'
    type: 'implemented by'
    destinationClassId: '&IDC_Method;'
    siblingRelationshipId: '&IDR_Method__implements__Method;'
    singular: no